summaryrefslogtreecommitdiffstatshomepage
path: root/tmux/.local/bin
diff options
context:
space:
mode:
authorToby Vincent <tobyv13@gmail.com>2022-04-07 10:22:47 -0500
committerToby Vincent <tobyv13@gmail.com>2022-04-07 10:22:47 -0500
commit5f8553132579520c33ec940cb8e56c752c58e272 (patch)
treefb23e66d270d6dc7989a76327ade3e36d98b4b8b /tmux/.local/bin
parent29df843de1f83c98460967319182bb3742140957 (diff)
fix: neovim config bugfixes
Diffstat (limited to 'tmux/.local/bin')
-rwxr-xr-xtmux/.local/bin/tmux-sessionizer22
1 files changed, 11 insertions, 11 deletions
diff --git a/tmux/.local/bin/tmux-sessionizer b/tmux/.local/bin/tmux-sessionizer
index f43cea3..522441c 100755
--- a/tmux/.local/bin/tmux-sessionizer
+++ b/tmux/.local/bin/tmux-sessionizer
@@ -1,26 +1,26 @@
#!/usr/bin/env bash
-if [[ $# -eq 1 ]]; then
- selected=$1
+if [ "$#" -eq 1 ]; then
+ selected="$1"
else
- selected=$(cat <(fd . ~/src ~/dkr --exact-depth 1 -td) <(echo $HOME/.dotfiles) | sort |
- fzf -d/ --with-nth 3.. --preview="tree -a -C -L 1 {}")
+ selected=$(find ~/src ~/.dotfiles -maxdepth 2 -type d -path '*/.git' -printf '%h\n' -prune | sort |
+ fzf-tmux -p -- -d/ --with-nth 3.. --preview="exa --tree --icons --git-ignore {}")
fi
-if [[ -z $selected ]]; then
- exit 0
+if [ -z "$selected" ]; then
+ exit 0
fi
selected_name=$(basename "$selected" | tr . _)
tmux_running=$(pgrep tmux)
if [[ -z $TMUX ]] && [[ -z $tmux_running ]]; then
- tmux new-session -s $selected_name -c $selected
- exit 0
+ tmux new-session -s "$selected_name" -c "$selected"
+ exit 0
fi
-if ! tmux has-session -t=$selected_name 2>/dev/null; then
- tmux new-session -ds $selected_name -c $selected
+if ! tmux has-session -t="$selected_name" 2>/dev/null; then
+ tmux new-session -ds "$selected_name" -c "$selected"
fi
-tmux switch-client -t $selected_name
+tmux switch-client -t "$selected_name"